<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0"  
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:ds="http://tempuri.org/ConnDS.xsd">
  
  <!--
  This transform accepts two parameters used to specify the column you
  want sorted and the direction
  -->
  <xsl:param name="SortColumn"/>
  <xsl:param name="SortDir"/>
  <xsl:param name="IsEval" />
  <xsl:param name="LastReset" />
  
  <xsl:template name="connLOG" match="/">

    <table border="0" width="640" id="table1">
      <tr>
        <td width="400"><font face="Arial" size="5"><b>XE-Filter<sup><font face="arial" size="2">TM</font></sup> Country Summary</b></font></td>
        <td> </td>
      </tr>
      <tr>
        <td width="400" valign="top"><font face="Arial" size="2">Country-Centric IP-based e-Mail Filtering</font></td>
        <td align="right" valign="top"><font face="Arial" size="1">Computer Mail Services, Inc.</font><br /></td>
      </tr>
      <tr>
        <td bgcolor="#cccc99" height="8" colspan="2"></td>
      </tr>
    </table>

    <p></p>
    
    <!--  EVAL Warning 
    -->
    <xsl:if test="$IsEval='true'">
      <font face="Arial" Size="2">
        <p>
          The <b>EVALUATION</b> version of XE-Filter is currently running.<br/>
          This means that mail is never banned.  Instead, XE-Filter monitors what
          would have been banned if the full version is running.
        </p>
        <p>
          To purchase the full version of XE-Filter, go to <A href="http://www.cmsconnect.com/XEFPro/XEFPricing.htm">Computer Mail Services' website</A>.
        </p>
        <p></p>
      </font>

    </xsl:if>


    <!--  Last Reset Time -->
    <table  id="Info" border="0" width="350">
       <tr>
          <td><font face="Arial" Size="2"><b>Last Reset Time: </b></font></td>
          <td><font face="Arial" Size="2"><xsl:value-of select="$LastReset" /></font></td>
       </tr>
    </table>
    <p></p>
    <p></p>

    

    <table ID="logTable" Cellspacing="0" cellpadding="5" Border="1" bordercolor="#c0c0c0" width="630">

      <!--  Column Header -->
      <tr bgcolor="#efe9b8">
          <th><font face="Arial" Size="2">Country Code</font></th>
          <th><font face="Arial" Size="2">Country Name</font></th>
          <th><font face="Arial" Size="2">Allowed Count</font></th>
          
        <xsl:choose>
          <xsl:when test="$IsEval='true'"><th><font face="Arial" Size="2">Would-be-Banned</font></th></xsl:when>
          <xsl:otherwise><th><font face="Arial" Size="2">Banned Count</font></th></xsl:otherwise>
        </xsl:choose>
      </tr>

      <!--  Details Section -->
      <xsl:for-each select="/ds:ConnDS/ds:tblConnection">
        <xsl:sort select="./*[local-name()=$SortColumn]" data-type="number" order="{$SortDir}"/> 
        <tr>
          <td align="center"><font face="Arial" Size="2"><xsl:value-of select="ds:cs"/></font></td>
          <td><font face="Arial" Size="2"><xsl:value-of select="ds:cl"/></font></td>
          <td align="center"><font face="Arial" Size="2"><xsl:value-of select="format-number(ds:ac, '###,###,###,##0')"/></font></td>
          <td align="center"><font face="Arial" Size="2"><xsl:value-of select="format-number(ds:dc, '###,###,###,##0')"/></font></td>
        </tr>
      </xsl:for-each>

      <!-- Calculate Totals and Percentages -->
      <xsl:variable name ="TotalAC" select="sum(/ds:ConnDS/ds:tblConnection/ds:ac)" />
      <xsl:variable name ="TotalDC" select="sum(/ds:ConnDS/ds:tblConnection/ds:dc)" />
      <xsl:variable name ="GrandTotal" select="$TotalAC + $TotalDC" />
      <xsl:variable name ="PctAC" select="format-number(($TotalAC *100) div $GrandTotal, '##.#')" />
      <xsl:variable name ="PctDC" select="format-number(($TotalDC *100) div $GrandTotal, '##.#')" />

      <!-- Output Totals -->
    <tr bgcolor="#efe9b8">
        <td> </td>
        <td align="right"><font face="Arial" Size="2">TOTALS</font></td>
        <td align="center"><font face="Arial" Size="2"><xsl:value-of select="format-number($TotalAC, '###,###,###,###')"/></font></td>
        <td align="center"><font face="Arial" Size="2"><xsl:value-of select="format-number($TotalDC, '###,###,###,###')"/></font></td>
    </tr>

      <!-- Output Percentages -->
    <tr bgcolor="#efe9b8">
      <td> </td>
      <td align="right"><font face="Arial" Size="2"> </font></td>
      <td align="center"><font face="Arial" Size="2"><xsl:value-of select="$PctAC"/>%</font></td>
      <td align="center"><font face="Arial" Size="2"><xsl:value-of select="$PctDC"/>%</font></td>
    </tr>
  </table>
  </xsl:template>
</xsl:stylesheet> 
